| The Gaudi Framework v29r0 (ff2e7097)

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
precedence::Duration Struct Reference

`#include <src/PrecedenceRulesGraph.h>`

Inheritance diagram for precedence::Duration:
[legend]
Collaboration diagram for precedence::Duration:
[legend]

## Public Member Functions
| Duration (SmartIF< ITimelineSvc > timelineSvc)
std::string | operator() (const AlgoProps &props) const
std::string | operator() (const DecisionHubProps &) const
std::string | operator() (const DataProps &) const

## Public Attributes
SmartIF< ITimelineSvc > | m_timelineSvc

## Detailed Description

Definition at line 267 of file PrecedenceRulesGraph.h.

## Constructor & Destructor Documentation

precedence::Duration::Duration | ( | SmartIF< ITimelineSvc > | timelineSvc | ) |
| inline

Definition at line 268 of file PrecedenceRulesGraph.h.

268 : m_timelineSvc( timelineSvc ) {}
precedence::Duration::m_timelineSvc
SmartIF< ITimelineSvc > m_timelineSvc
Definition: PrecedenceRulesGraph.h:290

## Member Function Documentation

std::string precedence::Duration::operator() | ( | const AlgoProps & | props | ) | const
| inline

Definition at line 270 of file PrecedenceRulesGraph.h.

271 {
272
273 std::string time = "UKNOWN";
274
275 if ( m_timelineSvc.isValid() ) {
276
277 TimelineEvent te;
278 te.algorithm = props.m_name;
279 m_timelineSvc->getTimelineEvent( te );
280 time = std::to_string( std::chrono::duration_cast<std::chrono::nanoseconds>( te.end - te.start ).count() );
281 }
282
283 return time;
284 }
std::to_string
T to_string(T...args)
plotSpeedupsPyRoot.time
time
Definition: plotSpeedupsPyRoot.py:154
TimelineEvent::algorithm
std::string algorithm
Definition: ITimelineSvc.h:18
TimelineEvent
Definition: ITimelineSvc.h:13
std::string
STL class.
ITimelineSvc::getTimelineEvent
virtual void getTimelineEvent(TimelineEvent &) const =0
TimelineEvent::end
time_point end
Definition: ITimelineSvc.h:21
precedence::Duration::m_timelineSvc
SmartIF< ITimelineSvc > m_timelineSvc
Definition: PrecedenceRulesGraph.h:290
TimelineEvent::start
time_point start
Definition: ITimelineSvc.h:20
SmartIF::isValid
bool isValid() const
Allow for check if smart pointer is valid.
Definition: SmartIF.h:68

std::string precedence::Duration::operator() | ( | const DecisionHubProps & |  | ) | const
| inline

Definition at line 286 of file PrecedenceRulesGraph.h.

286 { return ""; }

std::string precedence::Duration::operator() | ( | const DataProps & |  | ) | const
| inline

Definition at line 288 of file PrecedenceRulesGraph.h.

288 { return ""; }

## Member Data Documentation

SmartIF<ITimelineSvc> precedence::Duration::m_timelineSvc

Definition at line 290 of file PrecedenceRulesGraph.h.

The documentation for this struct was generated from the following file:

- GaudiHive/src/PrecedenceRulesGraph.h